﻿# You can place the script of your game in this file.

# Declare images below this line, using the image statement.
# eg. image eileen happy = "eileen_happy.png"

# Declare characters used by this game.
init:
# Backgrounds
    image bg train = "train.png"
    image bg station = "station.png"
    image bg  sky = "sky.png"
    image bg classroom = im.Grayscale("classroom.png")
    image bg beach  = "beach.png"
    image bg kiss  = "kiss.png"
    image bg art  = "art.png"
    image bg credit  = "credit.png"
    
# Characters

    image e = Animation("e_1.png", 5.0,
                                "e_2.png", 0.10,
                                "e_3.png", 0.25,
                                "e_2.png", 0.10,
                                "e_1.png", 0.10,
                                "e_2.png", 0.10,
                                "e_3.png", 0.25,
                                "e_2.png", 0.10)
    image e smile = "e_smile.png"
    image e skeptical = "e_skeptical.png"
    image e yandere = "e_yandere.png"
    image e closed = "e_3.png"
    image e speak = "e_speak.png"
    image e speak1 = "e_speak1.png"
    image e surprised = "e_surprised.png"
    
    image js = Animation("js_1.png", 5.0,
                                "js_2.png", 0.10,
                                "js_3.png", 0.10,
                                "js_2.png", 0.10,
                                "js_1.png", 0.10,
                                "js_2.png", 0.10,
                                "js_3.png", 0.10,
                                "js_2.png", 0.10)
    image js speaking = "js_speaking.png"
    image js smile = "js_smile.png"
    image js blush = "js_blush.png"
    image js angry = "js_angry.png"
    
    
    image j = Animation("j_1.png", 5.0,
                                "j_2.png", 0.10,
                                "j_3.png", 0.10,
                                "j_2.png", 0.10,
                                "j_1.png", 0.10,
                                "j_2.png", 0.10,
                                "j_3.png", 0.10,
                                "j_2.png", 0.10)
    image js blush = "js_blush.png"
    image js surprised = "js_surprised.png"
    image js sad = "js_sad.png"
    image j blush = "j_blush.png"
    image j surprised = "j_surprised.png"
    image j sad = "j_sad.png"
    
    
    $ p = Character('Jack', what_prefix="\"", what_suffix="\"", show_two_window=True, color="#000000", ctc = anim.Blink("ctc.png", xpos=725, ypos=415), ctc_position= "fixed")
    $ e = Character('Eri', what_prefix="\"", what_suffix="\"", show_two_window=True, color="#000000", ctc = anim.Blink("ctc.png", xpos=725, ypos=415), ctc_position= "fixed")
    $ j = Character('Jessica', what_prefix="\"", what_suffix="\"", show_two_window=True, color="#000000", ctc = anim.Blink("ctc.png", xpos=725, ypos=415), ctc_position= "fixed")

    $ narrator = Character(None, color="#000000", ctc = anim.Blink("ctc.png", xpos=725, ypos=415), ctc_position= "fixed")



# The game starts here.
label splashscreen:
    scene black with dissolve
    show text "Story and Art{p}lordcloudx" with dissolve
    with Pause(3)
    hide text with dissolve
    show text "Made with Ren'Py" with dissolve
    with Pause(3)
    hide text with dissolve
    
    
    scene bg credit with dissolve
    with Pause(3)

    return

label start:
    play music "jessica.mp3" fadeout 1.0
    scene black with dissolve
    centered "It is often said that first love never lasts."
    centered "Ten years from now..."
    centered "Can you still see yourself at that person's side?"
    centered "The very first person you fell in love with?"
    
    
    scene bg kiss with dissolve
    
    
    "Her full cherry red lips glistened invitingly; moistened by a light coating of pinkish lipstick."

    "So close… if I were to tilt my head forward just a little bit, our lips would meet… unintentionally, I assure you."

    "At that moment, a voice from within me asked,"

    p "Am I wicked?"

    "Oh? You don't get it? Okay, let's rewind a bit to two hours ago."
    play music "daily.mp3" fadein 1.0
    scene bg sky with pixellate
    show js speaking with dissolve
    
    j "Chocolate éclairs, strawberry muffins, Macadamia nuts and… and…"
    show js with dissolve
    
    "And no, this isn't my little sister speaking; she's my girlfriend, Jessica." 
    "I'd tell you about the touching moments of our mutual confession of love, but unfortunately, there aren't any." 
    "She was my classmate in Home Economics class back in 8th grade." 
    "I never really paid that much attention to her. She wasn't strikingly beautiful and also, I wasn't really into girls and romance."
    scene bg classroom with pixellate
    
    "Anyhow, one day, I accidentally nudged my eraser off my desk and she picked it up for me."
    "When our fingers met, I couldn't help noticing how incredibly soft her hand felt against mine." 
    show j with dissolve
    "My gaze instantly traveled to her face and remained transfixed there." 
    
    "Damn! She was cute!"
    with hpunch
    "I was an idiot for not noticing this earlier!"

    "Ahem… being a man of action, I asked her out right on that very spot." 
    
    p "Will you... go out with me?"
    show j surprised with dissolve
    
    "Unfortunately, I had forgotten that we were smack in the middle of class and everyone, including the usually strict professor, started laughing at me." 
    "Of course, the mocking laughter quickly turned into applause at the next instant, when Jessica voiced out her response to my haphazard proposal."
    show j blush with dissolve
    j "Haha… hahaha! Sure! If you can do this much, it certainly won't be boring going out with you."
    
    
    "Okay, let's get this straight. Yes, I know what you're thinking." 
    "This girl has to be a little bit off her rocker to agree to go out with a guy who just proposed to her in such an embarrassing manner;" 
    "but you know something? I'm the guy who made that strange proposal, so we're probably dead even on the insanity meter."

    "This is how we started going out, got to know each other better and{w} engaged in gratuitous sex every now and then." 
    "Okay… I'm kidding about the last part, really."
    scene bg sky with pixellate
    "This was about two years ago." 
    "Jessica has been my steady girl since then. Let's fast-forward to two hours ago." 
    "So I'm about to board my train for a long trip to join a 3-day joint college seminar/workshop on creative writing." 
    "Yes, I fancy myself a writer, a very pretentious one at that."
    
    "Ahem…"
    show js smile with dissolve
    "Jessica's just about finished enumerating her list of demands."

    j "Oh, and… and…" 
    show js blush with dissolve
    "She kisses me lightly on the cheek," 
    j "Take care!"

    "Right, she's cute. No doubt about that."
    play music "train.mp3" fadein 1.0
    scene black with dissolve
    play sound "close.mp3"
    
    "The train door closes and I keep waving to a smiling Jessica until we're out of sight." 
    "Afterwards, I proceed to find an empty seat."
    scene bg train with dissolve

    "Normally, I'd prefer to just stand around while holding onto one of the overhead handles," 
    "but that wasn't exactly practical considering that the trip would take at least 6 hours."

    "I find an empty seat, put on my earphones and switch on my mp3 player whose batteries would hopefully last until this ride is over."
    scene black with dissolve
    play music "cupmen.mp3" fadein 1.0
    
    "Which… brings us back to the present time and my current dilemma." 
    "I had fallen asleep in my seat when I am awakened by some soft, rhythmic breathing noises and something warm leaning against my shoulder."
    "I instinctively check the clock on my mp3 player which I'd hung around my neck."
    scene bg train with dissolve
    "Still a few hours to go."

    "I turn my head to the side to check what it was that awakened me. Wouldn't you know it?" 
    show e closed with dissolve
    "Some girl dressed in a maroon-colored office uniform had fallen asleep and was unwittingly using my shoulder for a pillow."

    "Hmm… she's sleeping so soundly that I don't really want to wake her up. I have a soft spot for women."

    "Yeah, I'll just let her be. She should awaken by the next stop anyway."
    play music "train.mp3" fadein 1.0
    "Uh…"

    "I blush a bit as I notice the knowing smile of the old lady seated across us. Did she think that we were a couple?" 
    "It must have seemed that way to any onlookers."

    "Sigh… forgive me, Jessica."
    play sound "bell.mp3"
    "Ding! Ding! Ding!"
    
    "Coastal Sun Station!'"
    show e surprised with dissolve
    e "Kyaaaaa!"
    with hpunch

    "The office lady suddenly bursts into life."
    show e speak1 with dissolve
    play music "eri.mp3" fadein 1.0
    e "Aiyaa! I fell asleep again… eh… huh?" 
    "She quickly retracts her head from my shoulder."
    show e smile with dissolve    
    e "Oh my, I'm sorry about that." 
    "She gets up from her seat and bows her head apologetically."
    

    p "It's alright."

    e "Oh, good. Listen, I'm sorry for being such a bother, but I really have to rush. Bye, stranger."
    hide e with dissolve
    "And rush she does. She literally dashes for the exit totally unmindful of the length of her skirt which was obviously not meant for running in."
    

    p "Yeesh! What a scatterbrained woman… eh?"

    "That idiot actually left her handbag behind."
    p "Hey, you! Wait!"

    "I try calling her back but it's too late. She's already dismounted from the train."

    "I have no choice but to get off and chase after her."
    scene bg station with dissolve

    p "Hey! Hey, office lady!"
    show e with dissolve
    "She's standing in front of an electronic signboard with information on the train's route when I finally catch up to her."
    show e skeptical with dissolve
    e "Hm? Oh, you're that guy I was sitting next to. What's up?"

    p "You dropped this."
    show e surprised with dissolve

    e "Kyaaa! That's my handbag!" 
    "She snatches it away from me and immediately checks the contents while simultaneously maintaining a conversation with me," 
    show e speak with dissolve
    e "Thank you so much! I would have been stuck here for a while without it. How can I ever repay you?"
    "Man, there are so many perverted ways to interpret that last line… but I doubt she meant it that way. I scratch the back of my head." 
    "The truth is that I just can't help being chivalrous to women. It's a kind of weakness in my personality." 
    "I was just about to tell her that she didn't owe me anything when…"
    show e surprised with dissolve
    play sound "close.mp3"
    "Slam!" 
    with hpunch
    "The train door closes and in matter of seconds, my ride is happily speeding away to its next destination… without me."
    show e speak with dissolve

    e "E… ehehehe!" 
    "She laughs impishly,"
    e "I guess you weren't planning on getting off here?"

    p "Sigh… no" 
    "I reply in a defeated tone."
    

    e "Ahaha!"
    
    p "S-stop laughing! I'm stuck here because of you, you know."
    show e speak with dissolve
    "She holds her hands together as if in prayer."


    e "Sorrrry! I'm sooo sorry about that Mr… umm…"

    p "Jack." 

    "As I look straight into her eyes, I can't help noticing for the first time just how incredibly pretty she is."
    show e with dissolve

    e "I'm Eri. Pleased to meet you, Jack."

    p "Charmed. Look, I think I'll go and wait for the next train by the benches now. Excuse me."

    e "Oh… ok."
    hide e with dissolve
    "Huh? She seemed a bit disappointed."

    "I approach one of the benches and sit down to wait for the next trip."

    "I'm about to turn on my mp3 player when I'm startled by the figure that seemed to appear from out of nowhere and had now sat down just a few inches next to me."
    show e with dissolve

    "It's that girl, Eri."

    p "W-What are you doing here?"
    show e  with dissolve
    e "Isn't it obvious?"

    p "NO!"

    e "I'm waiting for the next train. Same as you, silly."

    p "WHAT! Y-You mean, this wasn't your stop either?"
    show e speak with dissolve
    e "Oh, not at all. You see, I woke up so suddenly and presumed that my body clock had awakened me at my usual stop," 
    e "but it turns out that I got off three stations earlier." 
    
    "She knocks on her head and sticks her tongue out as she says this in a half-hearted self-admonishing manner."

    p "Oh, whatever."
    hide e with dissolve
    "I stop talking to Eri, turn on my mp3 player and try to settle down." 
    play music "cupmen.mp3" fadein 1.0
    "After a few minutes, I take a quick glance to my side and catch Eri looking curiously at me."
    show e skeptical with dissolve

    "Could it be? Love at first sight? Heh, enough of my fantasies. I decide to close my eyes and ignore her altogether."
    scene black with dissolve

    "…"

    e "Hey…"

    "I could have sworn I heard something."
    play music "eri.mp3" fadein 1.0
    e "HEY-YOU-LISTEN-TO-ME!"
    with hpunch
    
    "She had taken off one of my earphones in order to scream directly into my ear."
    scene bg station with dissolve
    show e yandere with dissolve

    p "W-What?"
    show e speak1 with dissolve
    e "Let's take a walk."

    p "Huh? I'm afraid I don't get you."
    show e with dissolve
    e "What's there not to get? This pretty girl is asking you to take a little walk with her."

    p "But, the train…"

    e "Oh, it won't be here for another hour or so. C'mon!"
    show e skeptical with dissolve
    "She forcibly grabs me by the arm and literally drags me off my the bench."

    "I reluctantly agree to go with her since I was getting a little bored anyway."
    play music "train.mp3" fadein 1.0
    scene bg sky with dissolve
    p "So, where are we going?"
    show e smile with dissolve
    "She turns to me with a smile."
    
    e "There!"
    scene bg beach with dissolve
    p "Whoa!"
    
    e "Surprised?"

    p "Yeah, I didn't know that there was a beach near this area."
    show e speak with dissolve
    e "Duh! Why do you think it's called Coastal Sun Station?"
    
    
    
    show e with dissolve
    "We walked side by side along the beach for a while, stopping every now and then to admire the view of the sparkling sea and the overlapping waves."
    

    "Suddenly, Eri knelt down beside me and began to take off her shoes."
    show e closed with dissolve

    p "What are you doing now?"

    e "No sense just looking at it don'tcha think?"

    "Without hesitation, Eri runs barefoot into the shore."
    
    "Oh well, I might as well join in. I take off my shoes as well and join Eri in splashing around the water with our bare feet." 
    "After awhile, we get tired of playing around and just continue walking along leisurely."
    show e speak with dissolve
    e "Hey, Jack."

    p "Hm?"
    show e skeptical with dissolve
    e "Do you have swim trunks on?"

    p "No, but I'm wearing some thick shorts underneath."

    e "Good, take off your shirt and pants. We should have enough time for a quick dip. You can swim, right?"

    "I check the time on my mp3 player."

    p "Hmm… why not?"
    hide e with dissolve
    "I take off my shirt, unzip my pants and place them on a high patch of sand along with my wallet, ID card and mp3 player." 
    "Then, I head back into the water."

    p "Eh? Where's Eri?"

    "That girl, I take my eyes off her for a minute and she just disappears on me."

    e "Up here!"
    scene bg sky with dissolve
    "Somehow, she had managed to climb up high onto a rocky ledge overlooking the sea. Also… I couldn't believe my eyes."

    p "Y-You're."

    e "Hmm? What's wrong? You've never seen a naked woman before, little boy?"

    "She dives gracefully into the water like an Olympic athlete."
    play sound "splash.wav"
    scene bg beach with dissolve

    e "Ah! That feels good."

    "She comes up just a few feet away from me and begins flapping away with her feet while splashing water every which way like a panicked fish."

    "I try my best to look directly at her and not let my vision travel downwards."

    e "Your face is red!"

    "She squirts some seawater in my direction. I close my eyes instinctively."

    e "You're such a little boy, Jack."

    p "Hmph! What did you expect? There's a shamelessly naked woman in front of me."

    e "Haha! C'mon, just relax and pretend that I'm fully-clothed."

    p "It's a little hard to imagine that given the current situation."

    e "Ya know, girls just love teasing guys who are so uptight like you are right now."

    p "I'm glad you're enjoying yourself on my account." 
    "I reply sarcastically."

    "Suddenly!"
    play music "shark.mp3" fadein 1.0 fadeout 1.0
    e "Kyaaa!"
    with hpunch
    p "Huh? What is it?"

    "Eri suddenly bolts toward me."

    e "Sh… shark!" 
    "She whimpers softly."

    "As soon as she says this, I spot a dark shadow beneath the surface. A torpedo-like structure was swimming directly below us."

    p "D-Don't panic. If we move around too much, we'll look like wounded prey."

    e "Okay."

    "Eri is clearly terrified now and I can't blame her. I'm not too sure about what to do in this situation myself."

    "We remain as still as possible for a few intense minutes. Neither one of us dare to even attempt to swim away in a panic." 
    "Fear makes our movements more deliberate and certain than usual."
    play music "seashore.mp3" fadein 1.0
    "Finally, the shark or whatever it was begins to swim away."

    "We cautiously head for the shallows."
    

    "Suddenly, Eri stops right in front of me."
    

    "I stop as well, suddenly realizing our situation."
    scene bg art with dissolve
    "Here we were, a half-naked young man and a naked young woman standing a mere few centimeters apart from each other in a deserted beach area."
    
    play sound "heartbeat.mp3"
    "Thump! Thump!"
   
    "I could hear my own heartbeat despite the wind and the roar of the waves."

    e "Hey…"

    "She was the first to break the silence as usual."

    p "Uh… yeah?"

    "I try to answer as calmly as possible."

    e "Do you wanna do 'that?'"

    "I am awestruck. Could this be an invitation to …"
    play music "jessica.mp3" fadeout 1.0 fadein 1.0
    "Suddenly, Jessica's image flies into my mind, awakening me to reality like a slap to the face."
    

    p "Eri.. I think that you're a very attractive girl but…"

    e "But you already have Jessica?"

    p "W-Wha… how do you know her?"

    e "Just kidding! I don't really know her. You were mumbling about her in your sleep while we were on that train." 
    e "I was playing out a hunch."

    "Grrr… this girl. She scared me for a moment there. I thought she might've been an acquaintance of Jessica's. "
    "They are both rather whimsical, so it wouldn't be that far-fetched. Maybe a distant relative or something  to that effect."
    "In any case, I guess I'm kind of glad she isn't." 
    "Heaven forbid what would happen to me if Jessica ever found out that I went skinny dipping with some strange woman that I barely even knew."
    e "Hahaha!"

    p "What's so funny now?"

    e "I'm sorry, it's just that you had such a serious look on your face that your forehead was full of wrinkles."

    p "Why you… take that!"

    "I playfully splash some water at her."
    scene bg sky with dissolve
    play sound "splash.wav"
    e "Haha! Help! He's attacking a defenseless woman!"
    
    
    "Somehow, this girl had made lose all my inhibitions even though we barely know each other."
    scene bg station with dissolve

    "Our train arrives. By this time, Eri and I are already dried, dressed and ready to depart."
    scene bg train with dissolve
    
    "We part ways at the next station. I had to get off."

    "Eri had another surprise for me just before I left."
    
    show e smile with dissolve
    e "Close your eyes, I have something for you."
    scene black with dissolve
    "I do so obediently. I feel something moist and warm touch my lips."
    scene bg kiss with dissolve

    "…"
    scene bg train with dissolve

    "Or so I thought. It turns out that she'd shoved some kind of business card at my mouth when I open my eyes." 
    "I was looking like a fool while kissing a piece of cardboard with my eyes closed."
    show e skeptical with dissolve
    "Eri pushes me out onto the platform."
    

    e "Call me when you've given yourself a little time to grow, Jack." 
    "She winks at me as the door closes in front of her."
    scene black with dissolve
    play music "train.mp3" fadeout 1.0
    "I watch Eri through the glass window waving emphatically at me with a huge mischievous grin on her face until the train leaves."
    "I read the business card that she'd left me."

    centered "Eri Tsubasa{p}
JUSTICE: The Magazine for Political Thinkers{p}
2002 The Teacup Street, Pairizia"

    p "A journalist? That carefree idiot?" 
    "I shake my head in disbelief."

    "In the end, there was no huge significance to that one-time encounter." 
    "I'd still go on my three day seminar, go out shopping for Jessica's presents and go home only to get scolded by her for forgetting one unimportant item."
    
    

    "In hindsight, I begin to wonder why I so readily agreed to go on that casual date, if you could call it that, with that strange girl from the train?"
    

    "It was something beyond physical attraction that drew me to her and allowed me to tolerate her childish whims." 
    "The answer is so simple. In that childish brat of a grown-up woman, I saw the same attractive traits as my dear Jessica."
    play music "jessica.mp3" fadeout 1.0
    centered "It is often said that first love never lasts."
    centered "Ten years from now..."
    centered "Can you still see yourself at that person's side?"
    centered "The very first person you fell in love with?"
    centered "Perhaps you can...{w} and then again, perhaps not."
    centered "But{w} when you are in love, you begin to realize..."
    centered "More than anything else..."
    centered "Just how precious that first love is..."
    centered "And so..."
    centered "Once you realize this."
    centered "You will always try your best to protect it."
    
    show text "The End" with dissolve
    $ ui.pausebehavior(5, result="skip")
    $ ui.interact()
    hide text with dissolve
    show text "STORY and ART{p}lordcloudx" at Move((0.5, 1.0), (0.5, -0.2), 6.0, xanchor="center")
    $ ui.pausebehavior(6, result="skip")
    $ ui.interact()
    
    show text "SOUND EFFECTS{p}http://www.mediacollege.com/downloads/sound-effects/water/{p}http://www.pacdv.com/sounds/domestic_sounds.html{p}http://www.royaltyfreemusic.com/sound-effects.html" at Move((0.5, 1.0), (0.5, -0.2), 6.0, xanchor="center")
    $ ui.pausebehavior(6, result="skip")
    $ ui.interact()
    
    show text "MUSIC{p}from http://www.tam-music.com/" at Move((0.5, 1.0), (0.5, -0.2), 6.0, xanchor="center")
    $ ui.pausebehavior(6, result="skip")
    $ ui.interact()
    
    show text "CUPMEN{p}from NoMode" at Move((0.5, 1.0), (0.5, -0.2), 6.0, xanchor="center")
    $ ui.pausebehavior(6, result="skip")
    $ ui.interact()
    
    show text "VN ENGINE{p}Ren'Py" at Move((0.5, 1.0), (0.5, -0.2), 6.0, xanchor="center")
    $ ui.pausebehavior(6, result="skip")
    $ ui.interact()
    
    show text "TESTERS{p}Carosene{p}denzil{p}FIA{p}kikered{p}Lux Visual Novels{p}mikey{p}Moonlightbomber" at Move((0.5, 1.0), (0.5, -1.0), 10.0, xanchor="center")
    $ ui.pausebehavior(10, result="skip")
    $ ui.interact()
    
    show text "SPECIAL THANKS{p}teacup" at Move((0.5, 1.0), (0.5, -0.2), 6.0, xanchor="center")
    $ ui.pausebehavior(6, result="skip")
    $ ui.interact()
    
    
    
    
    
    
    
    
    scene bg sky with dissolve
   
    
    
    show js sad with dissolve
    play music "eri.mp3" fadein 1.0
    j "Sniffle…"
    
    p "What the...? Now listen, Jessica. I'm pretty sure I got everything on your list, so what's with the exaggerated sniffling?"

    j "Meanie!"

    p "What? I just don't get it."

    j "I...sniff… sniff… hic…" 
    j "I wanted chocolate-covered Macadamia nuts! You got me the icky sea-salt flavored variety!"

    p "Actually, don't you think you should lay off the sweets? Your face is beginning to look a little... round." 
   
    show js angry with dissolve
    "What did you just say?" 
    with hpunch
    "Jack Layton, Prepare to die!"
    
    scene black with dissolve
    centered "and so... life goes on I suppose?"
    centered "Fortunately, Jessica was so caught up in that one little detail that she never even suspected for a moment that I was almost tempted into cheating on her."
    centered "In the end, I'm glad that I had the courage to make the right choice."
    centered "Our relationship may seem a little strange, but in the end, I know that my heart will always belong to Jessica."
    
    
    


    
    return
    
